Get Conversation
curl --request GET \
--url https://app.all-hands.dev/api/conversations/{conversation_id} \
--header 'X-Session-API-Key: <api-key>'import requests
url = "https://app.all-hands.dev/api/conversations/{conversation_id}"
headers = {"X-Session-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-API-Key': '<api-key>'}};
fetch('https://app.all-hands.dev/api/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation_id": "<string>",
"title": "<string>",
"last_updated_at": "2023-11-07T05:31:56Z",
"status": "STOPPED",
"runtime_status": "STATUS$STOPPED",
"selected_repository": "<string>",
"selected_branch": "<string>",
"git_provider": "github",
"trigger": "resolver",
"num_connections": 0,
"url": "<string>",
"session_api_key": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"pr_number": [
123
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Get Conversation
GET
/
api
/
conversations
/
{conversation_id}
Get Conversation
Authorizations
Path Parameters
Response
ConversationInfo · object | null
Successful Response
Available options:
STARTING, RUNNING, STOPPED Available options:
STATUS$STOPPED, STATUS$BUILDING_RUNTIME, STATUS$STARTING_RUNTIME, STATUS$RUNTIME_STARTED, STATUS$SETTING_UP_WORKSPACE, STATUS$SETTING_UP_GIT_HOOKS, STATUS$READY, STATUS$ERROR, STATUS$ERROR_RUNTIME_DISCONNECTED, STATUS$ERROR_LLM_AUTHENTICATION, STATUS$ERROR_LLM_SERVICE_UNAVAILABLE, STATUS$ERROR_LLM_INTERNAL_SERVER_ERROR, STATUS$ERROR_LLM_OUT_OF_CREDITS, STATUS$ERROR_LLM_CONTENT_POLICY_VIOLATION, CHAT_INTERFACE$AGENT_RATE_LIMITED_STOPPED_MESSAGE, STATUS$GIT_PROVIDER_AUTHENTICATION_ERROR, STATUS$LLM_RETRY, STATUS$ERROR_MEMORY Available options:
github, gitlab, bitbucket, enterprise_sso Available options:
resolver, gui, suggested_task, openhands_api, slack, microagent_management, jira, jira_dc, linear Was this page helpful?

